Package net.shibboleth.spring.metadata

# Class FileBackedHTTPMetadataProviderParser

java.lang.Object
org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser
net.shibboleth.spring.metadata.AbstractMetadataProviderParser
net.shibboleth.spring.metadata.AbstractReloadingMetadataProviderParser
net.shibboleth.spring.metadata.HTTPMetadataProviderParser
net.shibboleth.spring.metadata.FileBackedHTTPMetadataProviderParser

All Implemented Interfaces:
  `BeanDefinitionParser`

public class FileBackedHTTPMetadataProviderParser extends HTTPMetadataProviderParser
Parser for a <FileBackedHTTPMetadataProvider>.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final QName`
`ELEMENT_NAME`
Element name.

### Fields inherited from class net.shibboleth.spring.metadata.AbstractMetadataProviderParser

`CHAINING_PROVIDER_ELEMENT_NAME, METADATA_FILTER_ELEMENT_NAME, METADATA_NAMESPACE, SECURITY_NAMESPACE, TRUST_ENGINE_ELEMENT_NAME`

### Fields inherited from class net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser

`CUSTOM_PARSER_PROPERTIES_LOCATION`

### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`ID_ATTRIBUTE, NAME_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`FileBackedHTTPMetadataProviderParser()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doNativeParse(Element element, ParserContext parserContext, BeanDefinitionBuilder builder)`
Parse the element into the provider builder.
`protected Class<FileBackedHTTPMetadataResolver>`
`getNativeBeanClass(Element element)`
Return the real class implement by this type.

### Methods inherited from class net.shibboleth.spring.metadata.AbstractReloadingMetadataProviderParser

`getParserPoolRef, getTaskTimerRef`

### Methods inherited from class net.shibboleth.spring.metadata.AbstractMetadataProviderParser

`doParse, getBeanClass`

### Methods inherited from class net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser

`getCustomProperty, registerBeanDefinition`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

`doParse, getBeanClassName, getParentName, parseInternal`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`parse, postProcessComponentDefinition, resolveId, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback, shouldParseNameAsAliases`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ELEMENT_NAME

@Nonnull public static final QName ELEMENT_NAME
Element name.

## Constructor Details

### FileBackedHTTPMetadataProviderParser

public FileBackedHTTPMetadataProviderParser()

## Method Details

### getNativeBeanClass

@Nonnull protected Class<FileBackedHTTPMetadataResolver> getNativeBeanClass(@Nonnull Element element)
Return the real class implement by this type. This has the same function as the more usual `AbstractSingleBeanDefinitionParser.getBeanClass(Element)` but it may need to be shimmed in `AbstractMetadataProviderParser` which may need to insert an extra bean.

Specified by:
  `getNativeBeanClass` in class `AbstractMetadataProviderParser`
Parameters:
  `element` - the `Element` that is being parsed
Returns:
  the `Class` of the bean that is being defined via parsing the supplied `Element`, or `null` if none
See Also:
  - `AbstractSingleBeanDefinitionParser.getBeanClassName(org.w3c.dom.Element)`

### doNativeParse

protected void doNativeParse(@Nonnull Element element, @Nonnull ParserContext parserContext, @Nonnull BeanDefinitionBuilder builder)
Parse the element into the provider builder. This has the same function as the more usual `AbstractSingleBeanDefinitionParser.doParse(Element, ParserContext, BeanDefinitionBuilder)` but it may need to be shimmed in this class which may need to insert an extra bean. We assume in setting the that we will be summoning up a class which extends `AbstractReloadingMetadataResolver`.

Overrides:
  `doNativeParse` in class `HTTPMetadataProviderParser`
Parameters:
  `element` - the XML element being parsed
  `parserContext` - the object encapsulating the current state of the parsing process
  `builder` - used to define the `BeanDefinition`
See Also:
  - `AbstractSingleBeanDefinitionParser.doParse(Element, BeanDefinitionBuilder)`